igraph integration {bnlearn} | R Documentation

## Import and export networks from the igraph package

### Description

Convert `bn` and `bn.fit` objects to `igraph` and vice versa.

### Usage

    ## S3 method for class 'igraph'
    as.bn(x, ..., check.cycles = TRUE)
    ## S3 method for class 'bn'
    as.igraph(x, ...)
    ## S3 method for class 'bn.fit'
    as.igraph(x, ...)

### Arguments

`x` | an object of class `bn`, `bn.fit`, or `igraph`.
`...` | extra arguments from the generic method (currently ignored).
`check.cycles` | a boolean value. If `FALSE` the returned network will not be checked for cycles.

### Value

An object of the relevant class.

### Author(s)

Marco Scutari

### Examples

    ## Not run:
    a = bn.fit(hc(learning.test), learning.test)
    b = as.igraph(a)
    plot(b, edge.arrow.mode = 2L * !igraph::which_mutual(b))
    c = as.bn(b)
    ## End(Not run):

[Package bnlearn version 4.7.1 Index]